package com.sooka.system.real_estate.mortgage_business.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.system.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * 市房地产-最商额抵押信息对象
 *
 * @author lei
 * @date 2022-08-22
 */
@Getter
@Setter
public class TGuijiRealEstateMortgageBusiness extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "序号")
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 业务宗号 */
    @Excel(name = "业务宗号" )
    private String YWZH;

    /** 债务履行期限起 */
    @Excel(name = "债务履行期限起" )
    private String ZWLXQXQ;

    /** 债务履行期限止 */
    @Excel(name = "债务履行期限止" )
    private String ZWLXQXZ;

    /** 抵押类型 */
    @Excel(name = "抵押类型" )
    private String DYLX;

    /** 主债权额 */
    @Excel(name = "主债权额" )
    private String ZZQE;

    /** 房屋价值 */
    @Excel(name = "房屋价值" )
    private String FWJZ;

    /** 担保范围 */
    @Excel(name = "担保范围" )
    private String DBFW;

    /** 抵押合同编号 */
    @Excel(name = "抵押合同编号" )
    private String DYHTBH;

    /** 抵押权人 */
    @Excel(name = "抵押权人" )
    private String DYQR;

    /** 抵押权人证件号码 */
    @Excel(name = "抵押权人证件号码" )
    private String DYQRZJHM;

    /** 抵押人 */
    @Excel(name = "抵押人" )
    private String DYR;

    /** 抵押人证件号码 */
    @Excel(name = "抵押人证件号码" )
    private String DYRZJHM;

    /** 债务人 */
    @Excel(name = "债务人" )
    private String ZWR;

    /** 债务人证件号码 */
    @Excel(name = "债务人证件号码" )
    private String ZWRZJHM;

    /** 他项权证号(登记证明号) */
    @Excel(name = "他项权证号(登记证明号)" )
    private String TXQZH;

    /** 所有权证号 */
    @Excel(name = "所有权证号" )
    private String SYQZH;

    /** 幢号 */
    @Excel(name = "幢号" )
    private String ZH;

    /** 房号 */
    @Excel(name = "房号" )
    private String FH;

    /** 房屋用途 */
    @Excel(name = "房屋用途" )
    private String FWYT;

    /** 房屋性质 */
    @Excel(name = "房屋性质" )
    private String FWXZ;

    /** 建筑面积 */
    @Excel(name = "建筑面积" )
    private String JZMJ;

    public String getYwzh()
    {
        return YWZH;
    }

    public String getZwlxqxq()
    {
        return ZWLXQXQ;
    }

    public String getZwlxqxz()
    {
        return ZWLXQXZ;
    }

    public String getDylx()
    {
        return DYLX;
    }

    public String getZzqe()
    {
        return ZZQE;
    }

    public String getFwjz()
    {
        return FWJZ;
    }

    public String getDbfw()
    {
        return DBFW;
    }

    public String getDyhtbh()
    {
        return DYHTBH;
    }

    public String getDyqr()
    {
        return DYQR;
    }

    public String getDyqrzjhm()
    {
        return DYQRZJHM;
    }

    public String getDyr()
    {
        return DYR;
    }

    public String getDyrzjhm()
    {
        return DYRZJHM;
    }

    public String getZwr()
    {
        return ZWR;
    }

    public String getZwrzjhm()
    {
        return ZWRZJHM;
    }

    public String getTxqzh()
    {
        return TXQZH;
    }

    public String getSyqzh()
    {
        return SYQZH;
    }

    public String getZh()
    {
        return ZH;
    }

    public String getFh()
    {
        return FH;
    }

    public String getFwyt()
    {
        return FWYT;
    }

    public String getFwxz()
    {
        return FWXZ;
    }

    public String getJzmj()
    {
        return JZMJ;
    }
}
